Bug 904657 - "repo" command does not allow to specify gpg key location
"repo" command does not allow to specify gpg key location
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pykickstart (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-26 16:03 EST by Marek Marczykowski
Modified: 2014-02-05 13:32 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 13:32:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch to add "--gpgkey" option. (1.38 KB, patch)
2013-01-26 16:03 EST, Marek Marczykowski
no flags Details | Diff

  None (edit)
Description Marek Marczykowski 2013-01-26 16:03:06 EST
Created attachment 688167 [details]
Proposed patch to add "--gpgkey" option.

Description of problem:
There is no way to specify key for package verification when using "repo" command, especially for network repositories (much smaller problem for local files).
In standard installation .repo files can be used to provide such information (instead of repo command), but in pungi AFAIK there is no other way to provide it, which basically results in installation images composed from unverified packages.

Version-Release number of selected component (if applicable):
pykickstart-1.99.22-1.fc18.noarch

How reproducible:
100%

Steps to Reproduce:
See #904654

Actual results:


Expected results:


Additional info:
Can be solved by adding "--gpgkey" option to "repo" command. Proposed patch attached.
Comment 1 Chris Lumens 2013-05-24 16:12:06 EDT
For your patch, you would need to create a whole new version of the repo syntax.  You can't just add it to F15, because F15 when released did not support this option.  I can pretty quickly make that change, though.

Secondly, have you talked to the pungi guys beyond just the bug report?  Is there any indication they will add the gpg checking once pykickstart supports supplying it?
Comment 2 Brian Lane 2013-05-24 17:08:48 EDT
In addition to a location to get the gpg key from it would be a good idea to pass a gpg fingerprint in the kickstart so that it can verify that the key it fetches in the one it expects.
Comment 3 Marek Marczykowski 2013-06-16 08:29:18 EDT
I haven't contacted pungi guys in any other means than linked bugreport. Regarding fingerprint - I prefer to provide local (file://) URI, in which case fingerprint doesn't have any added value. But of course for network URIs this could be useful.

Unfortunately I'm quite busy those days and will not be able to provide next version of the patch for a few weeks, nor any other work on this subject...
Comment 4 Fedora End Of Life 2013-12-21 05:52:15 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2014-02-05 13:32:46 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.